## python-cogent 2023.2.12a1+dfsg

=== requirements.txt ===
chardet==5.1.0
pillow==9.4.0
psutil==5.9.4
scipy==1.10.0
nox==2022.11.21
plotly==5.13.0
typing_extensions>=3.7
.[dev]
