=== debian/changelog ===
python-cogent (2023.2.12a1+dfsg-2+deb12u1) bookworm; urgency=medium

  * Team upload.
  * Drop old patch fix-build-on-single-cpu-systems.patch, as it was
    disabling the affected tests for everybody.
  * Add new patch skip-parallel-tests-on-single-cpu-systems.patch,
    where the tests are only skipped when the system has a single CPU.
    Closes: #1030885.

 -- Santiago Vila <sanvila@debian.org>  Sun, 29 Oct 2023 21:45:00 +0100

python-cogent (2023.2.12a1+dfsg-2) unstable; urgency=medium

  * Restrict to 64 bit architectures

 -- Andreas Tille <tille@debian.org>  Fri, 24 Feb 2023 14:18:01 +0100

python-cogent (2023.2.12a1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 22 Feb 2023 08:07:42 +0100
