=== debian/control ===
Source: python-cogent
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Andreas Tille <tille@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               flit,
               cython3,
               pandoc,
               pybuild-plugin-pyproject,
               python3-all-dev,
               python3-matplotlib,
               python3-numba,
               python3-numpy,
               python3-pandas,
               python3-scitrack,
               python3-tqdm,
               python3-tinydb,
               python3-sphinx,
               python3-numpydoc,
               python3-nbsphinx,
               python3-sphinx-bootstrap-theme,
               python3-sphinx-gallery,
               python3-pytest <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-pytest-xdist <!nocheck>,
               python3-plotly <!nocheck>,
               python3-typing-extensions <!nocheck>,
               python3-isort,
               python3-scipy,
               python3-chardet,
               python3-jupyterlab-server,
               python3-jupyter-sphinx-theme
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/med-team/python-cogent
Vcs-Git: https://salsa.debian.org/med-team/python-cogent.git
Homepage: https://github.com/cogent3/cogent3
Rules-Requires-Root: no

Package: python3-cogent3
Architecture: any-amd64 arm64 mips64el ppc64el s390x ia64 ppc64 riscv64 sparc64 alpha
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         python3-numba,
         python3-matplotlib,
         python3-pandas,
         python3-plotly,
         python3-scitrack,
         python3-tqdm,
         python3-tinydb
Recommends: ncbi-blast+-legacy,
            dialign
Suggests: python-cogent-doc
Breaks: python-cogent
Provides: python-cogent
Replaces: python-cogent
Description: framework for genomic biology
 PyCogent is a software library for genomic biology. It is a fully
 integrated and thoroughly tested framework for:
  * controlling third-party applications,
  * devising workflows; querying databases,
  * conducting novel probabilistic analyses of biological sequence
    evolution, and
  * generating publication quality graphics.
 It is distinguished by many unique built-in capabilities (such as true codon
 alignment) and the frequent addition of entirely new methods for the analysis
 of genomic data.

Package: python-cogent-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         libjs-jquery,
         libjs-underscore
Suggests: python3-cogent3 (= ${binary:Version})
Multi-Arch: foreign
Description: docs for python3-cogent3
 PyCogent is a software library for genomic biology.
 .
 It is distinguished by many unique built-in capabilities (such as true codon
 alignment) and the frequent addition of entirely new methods for the analysis
 of genomic data.
 .
 This package contains documentation and examples.
