## python-cogent 2024.5.7a1+dfsg

=== requirements.txt ===
chardet==5.2.0
pillow==10.3.0
psutil==5.9.8
numpy==1.26.4
numba>0.48.0;python_version<'3.9'
numba>0.53; python_version>='3.9'
numba>0.54; python_version>='3.10'
numba>=0.57.0; python_version=='3.11'
scipy==1.13.0
nox==2024.4.15
plotly==5.22.0
typing_extensions>=3.7
stevedore==5.2.0
.[dev]
