=== debian/changelog ===
python-cogent (2024.5.7a1+dfsg-3build1) plucky; urgency=medium

  * No-change rebuild against python3-numpy2-abi0

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 29 Jan 2025 22:36:10 +0000

python-cogent (2024.5.7a1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Update skip-parallel-tests-on-single-cpu-systems.patch
    to skip "test_write_db_parallel" again. Closes: #1030885.

 -- Santiago Vila <sanvila@debian.org>  Fri, 05 Jul 2024 18:45:00 +0200

python-cogent (2024.5.7a1+dfsg-2) unstable; urgency=medium

  * Fix binary-any build
    Closes: #1074562

 -- Andreas Tille <tille@debian.org>  Tue, 02 Jul 2024 15:43:37 +0200

python-cogent (2024.5.7a1+dfsg-1) unstable; urgency=medium

  [ Ananthu C V ]
  * Team upload
  * New upstream version 2024.5.7a1+dfsg
  * Unfuzz patches
  * Add python3-stevedore build dependency and apply wrap-and-sort
  * Use execute_after syntax over override in d/rules where possible

  [ Andreas Tille ]
  * debian/control:
     - Build-Depends: architecture-is-64-bit, architecture-is-little-endian
     - Architecture: any

  [ Emmanuel Arias ]
  * d/control: Add ${sphinxdoc:Depends} as Depends in python-cogent-doc
    package.
    - d/rules: Add --with sphinxdoc.
  * d/control: Add libjs-requirejs as build dependency. Also add as Depends in
    the python-cogent-doc package.
    - d/rules: add override_dh_sphinxdoc to replace external link to
      require.min.js to use installed lib and avoid privacy leak.
    - wrap-and-sort.
  * d/control: Bump Standards-Version to 4.7.0 (from 4.6.2; no further changes
    needed).

 -- Emmanuel Arias <eamanu@debian.org>  Wed, 26 Jun 2024 01:24:50 -0300

python-cogent (2023.12.15a1+dfsg-1) unstable; urgency=medium

  * New upstream version
    Closes: #1058370
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Build-Depends: python3-sphinxcontrib.bibtex, python3-sphinx-design,
    python3-pydata-sphinx-theme
  * Add build support for loongarch64
    Closes: #1059557
  * Fix patch to skip some tests which was lacking `import multiprocessing`

 -- Andreas Tille <tille@debian.org>  Fri, 26 Jan 2024 15:36:11 +0100

python-cogent (2023.2.12a1+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Drop old patch fix-build-on-single-cpu-systems.patch,
    as it disables parallel tests for everybody.
  * Add new patch skip-parallel-tests-on-single-cpu-systems.patch
    instead, which does what its name suggests. Closes: #1030885.

 -- Santiago Vila <sanvila@debian.org>  Sat, 28 Oct 2023 22:30:00 +0200

python-cogent (2023.2.12a1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Update fix-build-on-single-cpu-systems.patch to skip
    "test_write_db_parallel" again. Closes: #1030885.

 -- Santiago Vila <sanvila@debian.org>  Fri, 20 Oct 2023 14:02:00 +0200
