=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 include /usr/share/dpkg/default.mk
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 override_dh_clean:
 	#These files are rebuilt on-the-fly
@@ -28,8 +28,7 @@
 	rm -rf doc/_build
 	dh_clean
 
-override_dh_auto_build:
-	dh_auto_build
+execute_after_dh_auto_build:
 ifeq (,$(filter $(DEB_HOST_ARCH), armel mipsel))
 	set -x; cd doc; PYTHONPATH=$(CURDIR) http_proxy='127.0.0.1:9' $(MAKE) html
 	# remove superfluous files and dirs
@@ -40,15 +39,17 @@
 	rm -rf doc/_build/html/_images/math/
 endif
 
-override_dh_shlibdeps:
-	dh_shlibdeps
+override_dh_sphinxdoc-indep:
+	dh_sphinxdoc -i
+	sed -i 's%https://cdnjs.cloudflare.com/ajax/libs/require.js/2.3.4/require.min.js%file:///usr/share/javascript/requirejs/require.min.js%' `find $(CURDIR)/debian/python-cogent-doc/usr/share/doc/python-cogent-doc/html/ -type f -name "*.html"`
+
+execute_after_dh_shlibdeps:
 	dh_numpy3
 
 override_dh_compress:
 	dh_compress --exclude=.js --exclude=.fasta --exclude=.txt --exclude=.pdb
 
-override_dh_installdocs:
-	dh_installdocs
+execute_after_dh_installdocs:
 	rm -rf debian/$(DEB_SOURCE)/usr/share/doc/$(DEB_SOURCE)/html/_sources
 	find debian -name doctrees -type d | xargs rm -rf
